# ionoscloud\_dns\_record

Manages a [DNS Record](https://docs.ionos.com/cloud/network-services/cloud-dns/overview).

> ⚠️ Only tokens are accepted for authorization in the **ionoscloud\_dns\_record** resource. Please ensure you are using tokens as other methods will not be valid.

## Example Usage

```hcl
resource "ionoscloud_dns_zone" "example" {
  name = "example.com"
  description = "description"
  enabled = false
}

resource "ionoscloud_dns_record" "recordexample" {
  zone_id = ionoscloud_dns_zone.example.id
  name = "recordexample"
  type = "CNAME"
  content = "1.2.3.4"
  ttl = 2000
  priority = 1024
  enabled = false
}
```

## Argument reference

* `name` - (Required)\[string] The name of the DNS Record. This property is immutable.
* `type` - (Required)\[string] The type of the DNS Record, can have one of these values: `A, AAAA, CNAME, ALIAS, MX, NS, SRV, TXT, CAA, SSHFP, TLSA, SMIMEA, DS, HTTPS, SVCB, OPENPGPKEY, CERT, URI, RP, LOC`. More details about types can be found [here](https://docs.ionos.com/cloud/network-services/cloud-dns/cloud-dns-faq#what-types-of-dns-records-does-cloud-dns-support).
* `content` - (Required)\[string] The content of the DNS Record.
* `ttl` - (Optional)\[int] Time to live for the DNS Record. Default is `3600`.
* `priority` - (Optional)\[int] The priority for the DNS Record.
* `enabled` - (Optional)\[bool] Indicates if the DNS Record is active or not. Default is `true`.
* `zone_id` - (Required)\[string] The DNS Zone ID in which the DNS Record will be created.

## Import

In order to import a DNS Record, you can define an empty DNS Record resource in the plan:

```hcl
resource "ionoscloud_dns_record" "example" {
  
}
```

The resource can be imported using the `zone_id` and the `record_id`, for example:

```shell
terraform import ionoscloud_dns_record.example zone_id/record_id
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/resources/dns_record.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
